db-derby-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mayuresh Nirhali <Mayuresh.Nirh...@Sun.COM>
Subject Re: [jira] Updated: (DERBY-606) SYSCS_UTIL.SYSCS_INPLACE_COMPRESS_TABLE fails on (very) large tables
Date Mon, 04 Dec 2006 09:55:32 GMT
Bryan Pendleton wrote:
>  > Mayuresh Nirhali updated DERBY-606:
>  > -----------------------------------
> ...
>  > Another modification is that, the 10.1 -10.3 upgrade is now taken out.
>  > I believe it was a temporary workaround when we transitioned to 10.3.
>  > So, the only upgradeTest that should be run is Upgrade10.2_10.3 and
>  > ofcourse this test also has cases for previous upgrades as it uses
>  > the same framework and the new case is added to the existing framework.
> 
> I'm not quite sure I'm understanding.
> 
> Are you saying that we no longer need to test the upgrade from 10.1 to 
> 10.3?
> 
> Or are you saying that the 10.2_10.3 upgrade test program tests *both*
> the upgrade from 10.1 to 10.3 *and* the upgrade from 10.2 to 10.3?
> 

Bryan,

I apologize for my unclear comment.

I believe, the upgrade model we follow implies that the upgrade is 
possible *Only* from the previous major.minor release. So, the upgrade 
test for 10.3 will only test any possible upgrades from 10.2.

However, in the current framework used for upgrade testing, there exists 
cases which were originally written for 10.0-10.1 upgrade and 10.1-10.2 
upgrade. I believe they are not needed for 10.2-10.3 upgrade testing and 
since the test is canon based, we havent seen any failures.

I think this clean up work (if agreed by community, ofcourse) should be 
handled thru a different JIRA and in the scope of derby-606 fix, I shall 
just update the existing framework with additional case as related to 
the fix.


Please let me know If I am missing anything here.

Thanks
Mayuresh


> thanks,
> 
> bryan
> 
> 


Mime
View raw message